Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0036358
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 01. General setupminorhave not tried2017-06-27 12:412019-02-20 18:05
ReportervmromanosView Statuspublic 
Assigned Tomarkmm82 
PrioritynormalResolutionfixedFixed in Version3.0PR19Q2
StatusclosedFix in branchFixed in SCM revision103337abd545
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToSandrahuguet
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0036358: Create From Multiple process and related callouts are candidates to be deleted

DescriptionThe manual process with search key "CreateFrom Multiple", which is available at 6 windows related to M_InOut flows, is disabled by default and it seems to be obsolete.

It uses the following callouts that have probably stopped working since callouts are not included in web.xml anymore:

org.openbravo.erpCommon.ad_callouts.SL_CreateFromMultiple_Warehouse
org.openbravo.erpCommon.ad_callouts.SL_CreateFromMultiple_Conversion
org.openbravo.erpCommon.ad_callouts.SL_CreateFromMultiple_Product


Steps To ReproduceNA
Proposed SolutionAnalyze whether it makes sense to remove this process and any associated code (callouts, xsql, AD stuff).

If we want to keep it, it's very likely that those callouts are not working anymore and they should be adapted.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0036280 closedAtulOpenbravo Several unused + probably unusable callouts exists and are candidates to be deleted 
depends on defect 0040200 closedmarkmm82 Required API change to remove Create From Multiple process and related callouts as they are not used anymore 

-  Notes
(0109865)
hgbot (developer)
2019-02-15 13:02

Repository: erp/devel/pi
Changeset: 49a361662f7df7bb8616bebcea926c6b49c328f2
Author: Mark Molina <mark.molina <at> doceleguas.com>
Date: Mon Feb 11 22:14:02 2019 -0300
URL: http://code.openbravo.com/erp/devel/pi/rev/49a361662f7df7bb8616bebcea926c6b49c328f2 [^]

Fixes issue 36358: Create From Multiple process and related callouts are deleted

This fix remove the following elements (In AD and related files)
-Report and Process window: CreateFrom Multiple
  -Process class tab: org.openbravo.erpCommon.ad_actionButton.CreateFromMultiple
    -Process mapping: /ad_actionButton/CreateFromMultiple_F1.html
    -Process mapping: /ad_actionButton/CreateFromMultiple_F2.html
    -Process mapping: /ad_actionButton/CreateFromMultiple_FS.html
    -Process mapping: /ad_ActionButton/CreateFromMultiple_Receipt.html
       -CreateFromMultiple_Receipt.xml
       -CreateFromMultiple_Receipt_data.xsql
    -Process mapping: /ad_ActionButton/CreateFromMultiple_Shipment.html
       -CreateFromMultiple_Shipment.xml
       -CreateFromMultiple_Shipment_data.xsql

-Element: GenerateLines
-Tables and columns (M_InOut) -> Column: GenerateLines
-Remove Create From Multiple field in tabs of the following windows:
  -Header: Goods Receipt
  -Header: Goods Shipment
  -Header: Return Material Receipt
  -Header: Return to Vendor Shipment
  -Shipment In - Incoming Shipment
  -Shipment Out - Outgoing Shipment

Callouts:
  -org.openbravo.erpCommon.ad_callouts.SL_CreateFromMultiple_Warehouse
  -org.openbravo.erpCommon.ad_callouts.SL_CreateFromMultiple_Conversion
  -org.openbravo.erpCommon.ad_callouts.SL_CreateFromMultiple_Product

Removed the generatelines column from the m_inout table in database.
Removed process access to Create From Multiple process in Sample Datas
Removed Text interfaces.

---
M referencedata/sampledata/F_B_International_Group/AD_PROCESS_ACCESS.xml
M referencedata/sampledata/QA_Testing/AD_PROCESS_ACCESS.xml
M src-db/database/model/tables/M_INOUT.xml
M src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/AD_ELEMENT.xml
M src-db/database/sourcedata/AD_FIELD.xml
M src-db/database/sourcedata/AD_MODEL_OBJECT.xml
M src-db/database/sourcedata/AD_MODEL_OBJECT_MAPPING.xml
M src-db/database/sourcedata/AD_PROCESS.xml
M src-db/database/sourcedata/AD_TEXTINTERFACES.xml
R src/org/openbravo/erpCommon/ad_actionButton/CreateFromMultiple.java
R src/org/openbravo/erpCommon/ad_actionButton/CreateFromMultiple_FS.html
R src/org/openbravo/erpCommon/ad_actionButton/CreateFromMultiple_FS.xml
R src/org/openbravo/erpCommon/ad_actionButton/CreateFromMultiple_Receipt.html
R src/org/openbravo/erpCommon/ad_actionButton/CreateFromMultiple_Receipt.xml
R src/org/openbravo/erpCommon/ad_actionButton/CreateFromMultiple_Receipt_data.xsql
R src/org/openbravo/erpCommon/ad_actionButton/CreateFromMultiple_Shipment.html
R src/org/openbravo/erpCommon/ad_actionButton/CreateFromMultiple_Shipment.xml
R src/org/openbravo/erpCommon/ad_actionButton/CreateFromMultiple_Shipment_data.xsql
R src/org/openbravo/erpCommon/ad_callouts/SL_CreateFromMultiple_Conversion.java
R src/org/openbravo/erpCommon/ad_callouts/SL_CreateFromMultiple_Product.java
R src/org/openbravo/erpCommon/ad_callouts/SL_CreateFromMultiple_Warehouse.java
---
(0109867)
Sandrahuguet (developer)
2019-02-15 13:06

verified
(0109872)
hgbot (developer)
2019-02-15 13:36

Repository: erp/devel/pi
Changeset: ee73c7e96e0333b4e0045d2039d406620a6b9158
Author: Sandra Huguet <sandra.huguet <at> openbravo.com>
Date: Fri Feb 15 13:34:25 2019 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/ee73c7e96e0333b4e0045d2039d406620a6b9158 [^]

related to issue 36358 Backed out changeset 49a361662f7d

---
M referencedata/sampledata/F_B_International_Group/AD_PROCESS_ACCESS.xml
M referencedata/sampledata/QA_Testing/AD_PROCESS_ACCESS.xml
M src-db/database/model/tables/M_INOUT.xml
M src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/AD_ELEMENT.xml
M src-db/database/sourcedata/AD_FIELD.xml
M src-db/database/sourcedata/AD_MODEL_OBJECT.xml
M src-db/database/sourcedata/AD_MODEL_OBJECT_MAPPING.xml
M src-db/database/sourcedata/AD_PROCESS.xml
M src-db/database/sourcedata/AD_TEXTINTERFACES.xml
A src/org/openbravo/erpCommon/ad_actionButton/CreateFromMultiple.java
A src/org/openbravo/erpCommon/ad_actionButton/CreateFromMultiple_FS.html
A src/org/openbravo/erpCommon/ad_actionButton/CreateFromMultiple_FS.xml
A src/org/openbravo/erpCommon/ad_actionButton/CreateFromMultiple_Receipt.html
A src/org/openbravo/erpCommon/ad_actionButton/CreateFromMultiple_Receipt.xml
A src/org/openbravo/erpCommon/ad_actionButton/CreateFromMultiple_Receipt_data.xsql
A src/org/openbravo/erpCommon/ad_actionButton/CreateFromMultiple_Shipment.html
A src/org/openbravo/erpCommon/ad_actionButton/CreateFromMultiple_Shipment.xml
A src/org/openbravo/erpCommon/ad_actionButton/CreateFromMultiple_Shipment_data.xsql
A src/org/openbravo/erpCommon/ad_callouts/SL_CreateFromMultiple_Conversion.java
A src/org/openbravo/erpCommon/ad_callouts/SL_CreateFromMultiple_Product.java
A src/org/openbravo/erpCommon/ad_callouts/SL_CreateFromMultiple_Warehouse.java
---
(0109951)
hgbot (developer)
2019-02-20 13:07

Repository: erp/devel/pi
Changeset: 103337abd5455e186bd555ffe5b6b66ea7be08f9
Author: Mark Molina <mark.molina <at> doceleguas.com>
Date: Mon Feb 11 22:14:02 2019 -0300
URL: http://code.openbravo.com/erp/devel/pi/rev/103337abd5455e186bd555ffe5b6b66ea7be08f9 [^]

Fixes issue 36358: Create From Multiple process and related callouts are deleted

This fix remove the following elements (In AD and related files)
-Report and Process window: CreateFrom Multiple
  -Process class tab: org.openbravo.erpCommon.ad_actionButton.CreateFromMultiple
    -Process mapping: /ad_actionButton/CreateFromMultiple_F1.html
    -Process mapping: /ad_actionButton/CreateFromMultiple_F2.html
    -Process mapping: /ad_actionButton/CreateFromMultiple_FS.html
    -Process mapping: /ad_ActionButton/CreateFromMultiple_Receipt.html
       -CreateFromMultiple_Receipt.xml
       -CreateFromMultiple_Receipt_data.xsql
    -Process mapping: /ad_ActionButton/CreateFromMultiple_Shipment.html
       -CreateFromMultiple_Shipment.xml
       -CreateFromMultiple_Shipment_data.xsql

-Element: GenerateLines
-Tables and columns (M_InOut) -> Column: GenerateLines
-Remove Create From Multiple field in tabs of the following windows:
  -Header: Goods Receipt
  -Header: Goods Shipment
  -Header: Return Material Receipt
  -Header: Return to Vendor Shipment
  -Shipment In - Incoming Shipment
  -Shipment Out - Outgoing Shipment

Callouts:
  -org.openbravo.erpCommon.ad_callouts.SL_CreateFromMultiple_Warehouse
  -org.openbravo.erpCommon.ad_callouts.SL_CreateFromMultiple_Conversion
  -org.openbravo.erpCommon.ad_callouts.SL_CreateFromMultiple_Product

Removed the generatelines column from the m_inout table in database.
Removed process access to Create From Multiple process in Sample Datas
Removed Text interfaces.

---
M referencedata/sampledata/F_B_International_Group/AD_PROCESS_ACCESS.xml
M referencedata/sampledata/QA_Testing/AD_PROCESS_ACCESS.xml
M src-db/database/model/tables/M_INOUT.xml
M src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/AD_ELEMENT.xml
M src-db/database/sourcedata/AD_FIELD.xml
M src-db/database/sourcedata/AD_MODEL_OBJECT.xml
M src-db/database/sourcedata/AD_MODEL_OBJECT_MAPPING.xml
M src-db/database/sourcedata/AD_PROCESS.xml
M src-db/database/sourcedata/AD_TEXTINTERFACES.xml
R src/org/openbravo/erpCommon/ad_actionButton/CreateFromMultiple.java
R src/org/openbravo/erpCommon/ad_actionButton/CreateFromMultiple_FS.html
R src/org/openbravo/erpCommon/ad_actionButton/CreateFromMultiple_FS.xml
R src/org/openbravo/erpCommon/ad_actionButton/CreateFromMultiple_Receipt.html
R src/org/openbravo/erpCommon/ad_actionButton/CreateFromMultiple_Receipt.xml
R src/org/openbravo/erpCommon/ad_actionButton/CreateFromMultiple_Receipt_data.xsql
R src/org/openbravo/erpCommon/ad_actionButton/CreateFromMultiple_Shipment.html
R src/org/openbravo/erpCommon/ad_actionButton/CreateFromMultiple_Shipment.xml
R src/org/openbravo/erpCommon/ad_actionButton/CreateFromMultiple_Shipment_data.xsql
R src/org/openbravo/erpCommon/ad_callouts/SL_CreateFromMultiple_Conversion.java
R src/org/openbravo/erpCommon/ad_callouts/SL_CreateFromMultiple_Product.java
R src/org/openbravo/erpCommon/ad_callouts/SL_CreateFromMultiple_Warehouse.java
---
(0109953)
hgbot (developer)
2019-02-20 13:08

Repository: erp/pmods/org.openbravo.retail.sampledata
Changeset: 6be5a890843531e50e5c2cde184ffbd530272766
Author: Mark <markmm82 <at> gmail.com>
Date: Tue Feb 19 00:09:33 2019 -0300
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.sampledata/rev/6be5a890843531e50e5c2cde184ffbd530272766 [^]

Related to issue 36358: Create From Multiple process is deleted

Removed all the process access as the Create From Multiple process has been deleted

---
M referencedata/sampledata/The_White_Valley_Group/AD_PROCESS_ACCESS.xml
---
(0109954)
hgbot (developer)
2019-02-20 13:10

Repository: erp/pmods/org.openbravo.retail.testsampledata
Changeset: 6f2a17d93d3f01ec2ff5d507bd4abc98ee5e3c81
Author: Mark <markmm82 <at> gmail.com>
Date: Tue Feb 19 10:19:28 2019 -0300
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.testsampledata/rev/6f2a17d93d3f01ec2ff5d507bd4abc98ee5e3c81 [^]

Related to issue 36358: Create From Multiple process is deleted

Removed all the process access as the Create From Multiple process has been deleted

---
M referencedata/sampledata/Retail_Test/AD_PROCESS_ACCESS.xml
---
(0109955)
hgbot (developer)
2019-02-20 13:14

Repository: erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations.sampledata
Changeset: 3f4efd892e705201af6b8a488583b64c5dc8180f
Author: Mark <markmm82 <at> gmail.com>
Date: Tue Feb 19 00:09:41 2019 -0300
URL: http://code.openbravo.com/erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations.sampledata/rev/3f4efd892e705201af6b8a488583b64c5dc8180f [^]

Related to issue 36358: Create From Multiple process is deleted

Removed all the process access as the Create From Multiple process has been deleted

---
M referencedata/sampledata/AWO_QA/AD_PROCESS_ACCESS.xml
---
(0109971)
hgbot (developer)
2019-02-20 18:04

Repository: erp/pmods/org.openbravo.warehouse.packing
Changeset: a83df9e4f57ea36c155f3f9e131d29c645bff919
Author: Mark <markmm82 <at> gmail.com>
Date: Tue Feb 19 00:10:59 2019 -0300
URL: http://code.openbravo.com/erp/pmods/org.openbravo.warehouse.packing/rev/a83df9e4f57ea36c155f3f9e131d29c645bff919 [^]

Related to issue 36358: Create From Multiple process is deleted

Removed the Create From Multiple fields as it is referencing the Generate lines
column and it is removed.

---
M src-db/database/sourcedata/AD_FIELD.xml
---
(0109972)
Sandrahuguet (developer)
2019-02-20 18:05

verified

- Issue History
Date Modified Username Field Change
2017-06-27 12:41 vmromanos New Issue
2017-06-27 12:41 vmromanos Assigned To => Triage Finance
2017-06-27 12:41 vmromanos Modules => Core
2017-06-27 12:41 vmromanos Triggers an Emergency Pack => No
2017-06-27 12:42 vmromanos Relationship added related to 0036280
2017-06-27 14:17 vmromanos Description Updated View Revisions
2019-02-04 13:09 Sandrahuguet Assigned To Triage Finance => markmm82
2019-02-11 02:39 markmm82 Status new => scheduled
2019-02-14 14:54 Sandrahuguet Relationship added depends on 0040200
2019-02-15 13:02 hgbot Checkin
2019-02-15 13:02 hgbot Note Added: 0109865
2019-02-15 13:02 hgbot Status scheduled => resolved
2019-02-15 13:02 hgbot Resolution open => fixed
2019-02-15 13:02 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/49a361662f7df7bb8616bebcea926c6b49c328f2 [^]
2019-02-15 13:06 Sandrahuguet Review Assigned To => Sandrahuguet
2019-02-15 13:06 Sandrahuguet Note Added: 0109867
2019-02-15 13:06 Sandrahuguet Status resolved => closed
2019-02-15 13:06 Sandrahuguet Fixed in Version => 3.0PR19Q2
2019-02-15 13:36 hgbot Checkin
2019-02-15 13:36 hgbot Note Added: 0109872
2019-02-15 13:40 Sandrahuguet Status closed => new
2019-02-15 13:40 Sandrahuguet Resolution fixed => open
2019-02-15 13:40 Sandrahuguet Fixed in Version 3.0PR19Q2 =>
2019-02-20 13:07 hgbot Checkin
2019-02-20 13:07 hgbot Note Added: 0109951
2019-02-20 13:07 hgbot Status new => resolved
2019-02-20 13:07 hgbot Resolution open => fixed
2019-02-20 13:07 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/49a361662f7df7bb8616bebcea926c6b49c328f2 [^] => http://code.openbravo.com/erp/devel/pi/rev/103337abd5455e186bd555ffe5b6b66ea7be08f9 [^]
2019-02-20 13:08 hgbot Checkin
2019-02-20 13:08 hgbot Note Added: 0109953
2019-02-20 13:10 hgbot Checkin
2019-02-20 13:10 hgbot Note Added: 0109954
2019-02-20 13:14 hgbot Checkin
2019-02-20 13:14 hgbot Note Added: 0109955
2019-02-20 18:04 hgbot Checkin
2019-02-20 18:04 hgbot Note Added: 0109971
2019-02-20 18:05 Sandrahuguet Note Added: 0109972
2019-02-20 18:05 Sandrahuguet Status resolved => closed
2019-02-20 18:05 Sandrahuguet Fixed in Version => 3.0PR19Q2


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker